| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
ArrayNDInfoImpl Class Reference
Basic

Implementation of ArrayNDInfo. More...

`#include <arrayndinfo.h>`

Inheritance diagram for ArrayNDInfoImpl:
[legend]

## Public Member Functions
| ArrayNDInfoImpl (const ArrayNDInfo &)
| ArrayNDInfoImpl (const ArrayNDInfoImpl &)
| ArrayNDInfoImpl (int ndim)
| ~ArrayNDInfoImpl ()
ArrayNDInfo * | clone () const override
int | getNDim () const override
int | getSize (int dim) const override
od_uint64 | getTotalSz () const override
bool | isOK () const override
bool | setSize (int dim, int nsz) override
Public Member Functions inherited from ArrayNDInfo
virtual | ~ArrayNDInfo ()
virtual bool | getArrayPos (od_uint64, int *) const
virtual od_uint64 | getOffset (const int *) const
int | nrDims () const
bool | validDimPos (int dim, int pos) const
virtual bool | validPos (const int *) const

## Static Public Member Functions
template<class T >
static ArrayNDInfo * | create (const T *, int sz)
static ArrayNDInfo * | create (int ndim)

## Protected Attributes
od_uint64 | cachedtotalsz_
int * | dimsz_
int | ndim_

## Additional Inherited Members
Public Types inherited from ArrayNDInfo
typedef nr_dims_type | dim_idx_type
typedef size_type | idx_type
typedef const idx_type * | NDPos
typedef TypeSet< idx_type > | NDPosBuf
typedef const size_type * | NDSize
typedef od_int16 | nr_dims_type
typedef od_int64 | offset_type
typedef od_int32 | size_type
typedef offset_type | total_size_type
Protected Member Functions inherited from ArrayNDInfo
od_uint64 | calcTotalSz () const

## Detailed Description

Implementation of ArrayNDInfo.

<>

## Constructor & Destructor Documentation

## ◆ ArrayNDInfoImpl() [1/3]

ArrayNDInfoImpl::ArrayNDInfoImpl | ( | int | ndim | ) |

## ◆ ArrayNDInfoImpl() [2/3]

ArrayNDInfoImpl::ArrayNDInfoImpl | ( | const ArrayNDInfo & |  | ) |

## ◆ ArrayNDInfoImpl() [3/3]

ArrayNDInfoImpl::ArrayNDInfoImpl | ( | const ArrayNDInfoImpl & |  | ) |

## ◆ ~ArrayNDInfoImpl()

ArrayNDInfoImpl::~ArrayNDInfoImpl | ( |  | ) |

## Member Function Documentation

## ◆ clone()

ArrayNDInfo * ArrayNDInfoImpl::clone | ( |  | ) | const
| override virtual

Implements ArrayNDInfo.

## ◆ create() [1/2]

template<class T >

ArrayNDInfo * ArrayNDInfoImpl::create | ( | const T * | sizes,
|  | int | sz )
| inline static

## ◆ create() [2/2]

static ArrayNDInfo * ArrayNDInfoImpl::create | ( | int | ndim | ) |
| static

## ◆ getNDim()

int ArrayNDInfoImpl::getNDim | ( |  | ) | const
| override virtual

Implements ArrayNDInfo.

## ◆ getSize()

int ArrayNDInfoImpl::getSize | ( | int | dim | ) | const
| override virtual

Implements ArrayNDInfo.

## ◆ getTotalSz()

od_uint64 ArrayNDInfoImpl::getTotalSz | ( |  | ) | const
| inline override virtual

Reimplemented from ArrayNDInfo.

## ◆ isOK()

bool ArrayNDInfoImpl::isOK | ( |  | ) | const
| inline override virtual

Reimplemented from ArrayNDInfo.

## ◆ setSize()

bool ArrayNDInfoImpl::setSize | ( | int | dim,
|  | int | nsz )
| override virtual

Reimplemented from ArrayNDInfo.

## Member Data Documentation

## ◆ cachedtotalsz_

od_uint64 ArrayNDInfoImpl::cachedtotalsz_
| protected

## ◆ dimsz_

int* ArrayNDInfoImpl::dimsz_
| protected

## ◆ ndim_

int ArrayNDInfoImpl::ndim_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025